framework:
    workflows:
        # aplicacion:
        #     type: 'state_machine'
        #     audit_trail:
        #         enabled: true
        #     marking_store:
        #         type: 'method'
        #         property: 'estado'
        #     supports:
        #         - App\Entity\Vacante\Aplicacion
        #     initial_marking: Presentada
        #     places:
        #         - Presentada
        #         - Desistida
        #     transitions:
        #         guardar:
        #             from: [ Presentada ]
        #             to:   Presentada
        #         desistir:
        #             from: [ Presentada ]
        #             to:   Desistida
        cronograma:
            type: 'state_machine'
            audit_trail:
                enabled: true
            marking_store:
                type: 'method'
                property: 'estado'
            supports:
                - App\Entity\EntrevistasPsi\CronogramaEntrevistasPsi
            initial_marking: Borrador
            places:
                - Borrador
                - Publicado
            transitions:
                guardar:
                    from: [Borrador, Publicado]
                    to:   Borrador
                editar:
                    from: [Publicado]
                    to:   Borrador
                publicar:
                    from: [Borrador]
                    to:   Publicado
                despublicar:
                    from: [Publicado]
                    to:   Borrador